=== debian/changelog ===
vimb (3.7.0+git20240706-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #982010)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 24 Jul 2024 18:54:15 +0200
