=== debian/control ===
Source: vimb
Section: misc
Priority: optional
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: debhelper-compat (= 13), libsoup-3.0-dev, libwebkit2gtk-4.1-dev, libgtk-3-dev, libglib2.0-dev
Standards-Version: 4.7.0
Homepage: https://fanglingsu.github.io/vimb/
Vcs-Browser: https://github.com/mati75/vimb
Vcs-Git: https://github.com/mati75/vimb
Rules-Requires-Root: no

Package: vimb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: www-browser
Description: Light-weight webkit-based browser with vim keyboard bindings
 Vimb is a Vim-like web browser that is inspired by Pentadactyl
 and Vimprobable. The goal of Vimb is to build a completely
 keyboard-driven, efficient and pleasurable browsing-experience
 with low memory and CPU usage that is intuitive to use for Vim
 users.
