=== debian/changelog ===
vimb (3.7.1-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * d/control:
    + Bump standards version to 4.7.3.
    + Drop Priority field
    + Drop Rules-Requires-Root field
  * Update d/watch to version 5.
  * Update d/copyright.
  * Drop debian/source/lintian-overrides
  * Switch Vcs to salsa.

  [ Nilesh Patra ]
  * Add patch for fix FTCBFS: hard-codes pkg-config (Closes: #1110406)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 19 Feb 2026 18:16:11 +0100
