=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: vimb
 Section: misc
-Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends: debhelper-compat (= 13), libsoup-3.0-dev, libwebkit2gtk-4.1-dev, libgtk-3-dev, libglib2.0-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://fanglingsu.github.io/vimb/
-Vcs-Browser: https://github.com/mati75/vimb
-Vcs-Git: https://github.com/mati75/vimb
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/mati75/vimb.git
+Vcs-Git: https://salsa.debian.org/mati75/vimb.git
 
 Package: vimb
 Architecture: any
