=== debian/watch ===
Version: 5
Template: Github
Owner: fanglingsu
Project: vimb
